gnumed - SRU - "new upstream available" - 0.4.4

Bug #375874 reported by shilbert on 2009-05-13
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnumed-client (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by shilbert

Bug Description

Binary package hint: gnumed-client

Hi,

Jaunty ships an outdated GNUmed version which crashes for many users like this

2009-05-12 05:22:37 WARNING gm.database (/var/lib/python-support/python2.6/Gnumed/pycommon/gmPG2.py::__validate_timezone() #186): time zone [IST] seems invalid
2009-05-12 05:22:54 ERROR gm.person (/var/lib/python-support/python2.6/Gnumed/business/gmPerson.py::__init__() #762): cannot instantiate staff instance
Traceback (most recent call last):
  File "/var/lib/python-support/python2.6/Gnumed/business/gmPerson.py", line 760, in __init__
    rows, idx = gmPG2.run_ro_queries(queries = [{'cmd': cmd}], get_col_idx=True, verbose=True)
  File "/var/lib/python-support/python2.6/Gnumed/pycommon/gmPG2.py", line 815, in run_ro_queries
    data = curs.fetchall()
  File "/usr/lib/python2.6/dist-packages/psycopg2/extras.py", line 60, in fetchall
    return _cursor.fetchall(self)
DataError: unable to parse time

This happens for all users that live in a timezone which cannot be properly handled by postgresql. We have updated GNUmed to new packages. These packages are in Ubuntu 9.10 already and really need to be backported as we receive about two bug reports per week where GNUmed crashes for those users.

Please consider a stable release update. Packages for GNUmed are in https://launchpad.net/~gnumed/+archive/ppa
Please sync with gnumed-client 0.4.4 and gnumed-server v10.4

James Westby (james-w) wrote :

Hi,

Please see

  https://wiki.ubuntu.com/StableReleaseUpdates

for documentation on how to request an SRU.

Thanks,

James

shilbert (sebastian-hilbert) wrote :

Fix has been released as of version 0.3.12 but is handled saner in 0.4.4

Changed in gnumed-client (Ubuntu):
status: New → Fix Released
Download full text (5.2 KiB)

On Mittwoch 13 Mai 2009 12:24:48 James Westby wrote:

Hi

>Check that the bug is fixed in the current development release, and that its
bug report task is "Fix released". It is, in general, not appropriate to
release bug fixes for stable systems without first testing them in the current
development branch.

Done. https://bugs.launchpad.net/ubuntu/+source/gnumed-client/+bug/375874

>Update the bug report description and make sure it contains the following
information:

>A statement explaining the impact of the bug on users and justification for
backporting the fix to the stable release

Done in bug report

> An explanation of how the bug has been addressed in the development branch,
including the relevant version numbers of packages modified in order to
implement the fix.

Done in bug report

> A minimal patch applicable to the stable version of the package. If
preparing a patch is likely to be time-consuming, it may be preferable to get
a general approval from the SRU team first.

Patch does not make sense. If only the single issue is fixed than we skip the
other (not neccessarly reported) bugs.

Debdiff is here: https://launchpad.net/~gnumed/+archive/ppa/+files/gnumed-
client_0.3.12-ubuntu1~ppa3_0.4.4-1.diff.gz

> Detailed instructions how to reproduce the bug. These should allow someone
who is not familiar with the affected package to reproduce the bug and verify
that the updated package fixes the problem. Please mark this with a line "TEST
CASE:".

Test case:

#1 Set your timezone to CLT and run GNUmed. This bug will appear:

> 2009-04-20 00:26:49 WARNING gm.database (/var/lib/python-
support/python2.6/Gnumed/pycommon/gmPG2.py::__validate_timezone() #186): time
zone [CLT] seems invalid
> 2009-04-20 00:27:04 ERROR gm.person (/var/lib/python-
support/python2.6/Gnumed/business/gmPerson.py::__init__() #762): cannot
instantiate staff instance
...
> DataError: unable to parse time

Set your timezone to GMT and try again to see it works.

> A discussion of the regression potential of the patch and how users could
get inadvertently effected.

The upgrade could have introduced ne bugs. We know our userbase that has this
running in production very well. They have confirmed that it works. Most
user's affected are the drive-by tryout user which are not affected as they do
not run production systems.

>Use Nominate for release to mark the bug as an SRU candidate for the
appropriate Ubuntu releases (e. g. the current LTS and latest stable release),
then subscribe ubuntu-sru for packages in main/restricted, or motu-sru for
packages in universe/multiverse.

Done.

> Upload the fixed package to release-proposed with the patch in the bug
report, a detailed and user-readable changelog, and no other unrelated
changes.

This requires upload previledges, doesn't it. I have the fixed version in the
PPA
https://launchpad.net/~gnumed/+archive/ppa

Changelog:

 gnumed-client (0.4.4-1) unstable; urgency=low

   * New upstream version

 -- Andreas Tille <email address hidden> Sat, 02 May 2009 00:12:23 +0200
gnumed-client (0.4.3-1) unstable; urgency=low

   * New upstream version
   * Do not ship /etc/gnumed/gnumed-client_public.c...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers